﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Input;

namespace DataValidationDemo
{
    internal class MainWindowViewModel:IDataErrorInfo
    {
        public MainWindowViewModel()

        {
            ValidateInputText = "default";
        }

        //property to bind to textbox

        public string ValidateInputText
        {
            get;
            set;
        }

        private int age = 20;

        public int Age
        {
            get { return age; }
            set { age = value; }
        }

        #region IDataErrorInfo

        //In this region we are implementing the properties defined in //the IDataErrorInfo interface in System.ComponentModel

        public string this[string columnName]

        {
            get
            {
                if ("ValidateInputText" == columnName)
                {
                    if (String.IsNullOrEmpty(ValidateInputText))
                    {
                        return "Please enter a Name";
                    }
                }

                else if ("Age" == columnName)
                {
                    if (Age !=-1)
                    {
                        return "age should be greater than 0";
                    }
                }
                return "";
            }
        }

        public string Error

        {

            get { throw new NotImplementedException(); }

        }

    }

    #endregion
}